#pragma once
#include "War3StrID.h"

class CDoodad  
{
public:
	void SetAngleValue(float newangle);
	float GetAngleValue();
	bool selected;
	int ID;
	byte life;
	byte flags;
	float scaleZ;
	float scaleY;
	float scaleX;
	float angle;
	float z;
	float y;
	float x;
	int variation;
	CWar3StrID type;
	CDoodad();
	virtual ~CDoodad();

};
